Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fedict.eid.applet.service
Enum DocumentType

    java.lang.Object
      java.lang.Enum<DocumentType>
          be.fedict.eid.applet.service.DocumentType

All Implemented Interfaces:
  Serializable, Comparable<DocumentType>

    public enum DocumentType

extends Enum<DocumentType>
implements Serializable

Enumeration for eID Document Type.

Author:
  Frank Cornelis

Enum Constant Summary
`BELGIAN_CITIZEN`
`BOOTSTRAP_CARD`
`FOREIGNER_A` Bewijs van inschrijving in het vreemdelingenregister – Tijdelijk verblijf
`FOREIGNER_B` Bewijs van inschrijving in het vreemdelingenregister
`FOREIGNER_C` Identiteitskaart voor vreemdeling
`FOREIGNER_D` EG-Langdurig ingezetene
`FOREIGNER_E` (Verblijfs)kaart van een onderdaan van een lidstaat der EEG Verklaring van inschrijving
`FOREIGNER_E_PLUS` Document ter staving van duurzaam verblijf van een EU onderdaan
`FOREIGNER_F` Kaart voor niet-EU familieleden van een EU-onderdaan of van een Belg Verblijfskaart van een familielid van een burger van de Unie
`FOREIGNER_F_PLUS` Duurzame verblijfskaart van een familielid van een burger van de Unie
`HABILITATION_CARD`
`KIDS_CARD`

Method Summary
`int` | `getKey()`
`static DocumentType` | `toDocumentType(byte[] value)`
`static String` | `toString(byte[] documentTypeValue)`
`static DocumentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DocumentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BELGIAN_CITIZEN

    public static final DocumentType BELGIAN_CITIZEN

### KIDS_CARD

    public static final DocumentType KIDS_CARD

### BOOTSTRAP_CARD

    public static final DocumentType BOOTSTRAP_CARD

### HABILITATION_CARD

    public static final DocumentType HABILITATION_CARD

### FOREIGNER_A

    public static final DocumentType FOREIGNER_A

  Bewijs van inschrijving in het vreemdelingenregister – Tijdelijk verblijf

### FOREIGNER_B

    public static final DocumentType FOREIGNER_B

  Bewijs van inschrijving in het vreemdelingenregister

### FOREIGNER_C

    public static final DocumentType FOREIGNER_C

  Identiteitskaart voor vreemdeling

### FOREIGNER_D

    public static final DocumentType FOREIGNER_D

  EG-Langdurig ingezetene

### FOREIGNER_E

    public static final DocumentType FOREIGNER_E

  (Verblijfs)kaart van een onderdaan van een lidstaat der EEG Verklaring van inschrijving

### FOREIGNER_E_PLUS

    public static final DocumentType FOREIGNER_E_PLUS

  Document ter staving van duurzaam verblijf van een EU onderdaan

### FOREIGNER_F

    public static final DocumentType FOREIGNER_F

  Kaart voor niet-EU familieleden van een EU-onderdaan of van een Belg Verblijfskaart van een familielid van een burger van de Unie

### FOREIGNER_F_PLUS

    public static final DocumentType FOREIGNER_F_PLUS

  Duurzame verblijfskaart van een familielid van een burger van de Unie

Method Detail

### values

    public static DocumentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentType c : DocumentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getKey

    public int getKey()

### toDocumentType

    public static DocumentType toDocumentType(byte[] value)

### toString

    public static String toString(byte[] documentTypeValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.